package ruleEngine

type ProcessFailureStrategy struct {
	_stop bool
}

func newProcessFailureStrategy(stop bool) *ProcessFailureStrategy {
	return &ProcessFailureStrategy{_stop: stop}
}

func Stop() *ProcessFailureStrategy {
	return newProcessFailureStrategy(true)
}

func Resume() *ProcessFailureStrategy {
	return newProcessFailureStrategy(false)
}
